#!/bin/bash
echo
echo ========= update system  =========
echo
sudo apt update && sudo apt upgrade -y

echo
echo ========= install dependencies =========
echo
sudo apt install -y mc htop libqt5xmlpatterns5 vlc libqt5xml5 libqt5webenginewidgets5 libqtavwidgets1 libqtav1 libvlc5 libqt5sql5 libgles2-mesa libegl1-mesa libopengl0

SPLIT=256
echo
echo ========= set memory split to $SPLIT  =========
echo
sudo sh -c "cp /boot/config.txt /boot/config_bak.txt"
if grep -q gpu_mem /boot/config.txt; then
    sudo sh -c "sed -e 's/gpu_mem=[0-9]*/gpu_mem=$SPLIT/g' /boot/config_bak.txt >/boot/config.txt"
else
    sudo sh -c "echo gpu_mem=$SPLIT >> /boot/config.txt"
fi

sudo reboot

exit 0;
